[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# THeaderSections.Items

Items - the series of individual HeaderSections in the collection.

## Declaration

Source position: comctrls.pp line 4018

`public property THeaderSections.Items[Index: Integer] : THeaderSection read GetItem write SetItem; default;`

## Description

Items is an indexed THeaderSection property which provides access to the header sections in the collection by their ordinal position. It is implemented using TFpList to store the collection items. Items is the default property for the class instance.

When reading a value in the property, the item is cast to the THeaderSection type used in the collection. SetItem is called to store a value for the indexed property.

## See also

THeaderSection |  | Implements a section displayed on a TCustomHeaderControl / THeaderControl instance.